> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Deliverability



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/teams/{team_id}/hubs/{hub_id}/analytics/email
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/hubs/{hub_id}/analytics/email:
    get:
      tags:
        - analytics-admin
      summary: Get Email Deliverability
      operationId: >-
        analytics_admin.get_analytics_admin_get_teams_by_team_id_hubs_by_hub_id_analytics_email
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: query
          name: from
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: From
        - in: query
          name: to
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: To
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/EmailDeliverabilityResponse'
          description: Successful Response
        '401':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Not authenticated
        '403':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Forbidden
        '404':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Resource not found
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Unprocessable entity
      security:
        - HTTPBearer: []
components:
  schemas:
    EmailDeliverabilityResponse:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/EmailDeliverabilityResource'
      required:
        - data
      title: EmailDeliverabilityResponse
      type: object
    JsonApiErrorResponse:
      description: Error JSON:API response.
      properties:
        errors:
          items:
            $ref: '#/components/schemas/JsonApiError'
          title: Errors
          type: array
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - errors
      title: JsonApiErrorResponse
      type: object
    EmailDeliverabilityResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/EmailDeliverabilityAttributes'
        id:
          title: Id
          type: string
        type:
          const: analytics_email_deliverability
          default: analytics_email_deliverability
          title: Type
          type: string
      required:
        - id
        - attributes
      title: EmailDeliverabilityResource
      type: object
    JsonApiError:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        source:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Source
        status:
          title: Status
          type: string
        title:
          title: Title
          type: string
      required:
        - status
        - title
      title: JsonApiError
      type: object
    EmailDeliverabilityAttributes:
      additionalProperties: false
      properties:
        bounce_rate:
          title: Bounce Rate
          type: number
        bounced_hard:
          title: Bounced Hard
          type: integer
        bounced_soft:
          title: Bounced Soft
          type: integer
        complained:
          title: Complained
          type: integer
        complaint_rate:
          title: Complaint Rate
          type: number
        delivered:
          title: Delivered
          type: integer
        sent:
          title: Sent
          type: integer
        unsubscribed:
          title: Unsubscribed
          type: integer
      required:
        - sent
        - delivered
        - bounced_hard
        - bounced_soft
        - complained
        - unsubscribed
        - bounce_rate
        - complaint_rate
      title: EmailDeliverabilityAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````